package com.bonus.canteen.core.menu.constant;

public enum MenuAnalyseScopeEnum {
   THE_SAME_DAY(1, "当天查询"),
   THE_SAME_WEEK(2, "当周查询");

   private final Integer key;
   private final String value;

   private MenuAnalyseScopeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      MenuAnalyseScopeEnum[] enums = values();
      MenuAnalyseScopeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MenuAnalyseScopeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      MenuAnalyseScopeEnum[] enums = values();
      MenuAnalyseScopeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MenuAnalyseScopeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
